---
title: 101 Switching Protocols
slug: Web/HTTP/Status/101
tags:
  - HTTP
  - HTTP Status Code
  - Informational
  - Reference
  - WebSockets
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <code><strong>101 Switching Protocols</strong></code> response code indicates the protocol the server is switching to as requested by a client which sent the message including the {{HTTPHeader("Upgrade")}} request header.</p>

<p>The server includes in this response an {{HTTPHeader("Upgrade")}} response header to indicate the protocol it switched to. The process is described in detail in the article <a href="/en-US/docs/Web/HTTP/Protocol_upgrade_mechanism">Protocol upgrade mechanism</a>.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">101 Switching Protocols</pre>

<h2 id="Examples">Examples</h2>

<p>Switching protocols might be used with <a href="/en-US/docs/Web/API/WebSockets_API">WebSockets</a>.</p>

<pre>HTTP/1.1 101 Switching Protocols
Upgrade: websocket
Connection: Upgrade</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7231", "101 Switching Protocol" , "6.2.2")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Protocol_upgrade_mechanism">Protocol upgrade mechanism</a></li>
 <li><a href="/en-US/docs/Web/API/WebSockets_API">WebSockets</a></li>
 <li>{{HTTPHeader("Upgrade")}}</li>
 <li>{{HTTPStatus("426")}} <code>Upgrade Required</code></li>
</ul>
